Package tigase.db.util.importexport

# Class CredentialsExtension

java.lang.Object
tigase.db.util.importexport.RepositoryManagerExtensionBase
tigase.db.util.importexport.CredentialsExtension

All Implemented Interfaces:
  `RepositoryManagerExtension`

public class CredentialsExtension extends RepositoryManagerExtensionBase

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CredentialsExtension.AuthImportExtension`
  `static class`
  `CredentialsExtension.PlainAuthImportExtension`
  `static class`
  `CredentialsExtension.SCRAMAuthImportExtension`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CredentialsExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `exportDomainData(String domain, Writer writer)`
  `void`
  `exportUserData(Path userDirPath, BareJID user, Writer writer)`
  `Stream<CommandlineParameter>`
  `getExportParameters()`
  `Stream<CommandlineParameter>`
  `getImportParameters()`
  `void`
  `initialize(Kernel kernel, DataSourceHelper dataSourceHelper, RepositoryHolder repositoryHolder, Path rootPath)`
  `protected AbstractAuthRepositoryWithCredentials`
  `prepareAuthRepo(AbstractAuthRepositoryWithCredentials authRepo)`
  `ImporterExtension`
  `startImportUserData(BareJID userJid, String name, Map<String,String> attrs)`
  `protected void`
  `writeSCRAM(ScramCredentialsEntry saslEntry, Writer writer)`

  ### Methods inherited from class tigase.db.util.importexport.RepositoryManagerExtensionBase

  `exportInclude, getNamesOfComponent, getRepository, getRootPath`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.db.util.importexport.RepositoryManagerExtension

  `startImportDomainData`

- ## Constructor Details

  - ### CredentialsExtension

    public CredentialsExtension()

- ## Method Details

  - ### initialize

    public void initialize(Kernel kernel, DataSourceHelper dataSourceHelper, RepositoryHolder repositoryHolder, Path rootPath)
    Specified by:
      `initialize` in interface `RepositoryManagerExtension`
    Overrides:
      `initialize` in class `RepositoryManagerExtensionBase`

  - ### getExportParameters

    public Stream<CommandlineParameter> getExportParameters()

  - ### getImportParameters

    public Stream<CommandlineParameter> getImportParameters()

  - ### exportDomainData

    public void exportDomainData(String domain, Writer writer) throws Exception
    Throws:
      `Exception`

  - ### exportUserData

    public void exportUserData(Path userDirPath, BareJID user, Writer writer) throws Exception
    Throws:
      `Exception`

  - ### writeSCRAM

    protected void writeSCRAM(ScramCredentialsEntry saslEntry, Writer writer) throws Exception
    Throws:
      `Exception`

  - ### prepareAuthRepo

    protected AbstractAuthRepositoryWithCredentials prepareAuthRepo(AbstractAuthRepositoryWithCredentials authRepo)

  - ### startImportUserData

    public ImporterExtension startImportUserData(BareJID userJid, String name, Map<String,String> attrs) throws Exception
    Throws:
      `Exception`